# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class DeviceHealthIssues(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, timestamp: int=None, message: str=None, count: int=None, severety: str=None):  # noqa: E501
        """DeviceHealthIssues - a model defined in Swagger

        :param timestamp: The timestamp of this DeviceHealthIssues.  # noqa: E501
        :type timestamp: int
        :param message: The message of this DeviceHealthIssues.  # noqa: E501
        :type message: str
        :param count: The count of this DeviceHealthIssues.  # noqa: E501
        :type count: int
        :param severety: The severety of this DeviceHealthIssues.  # noqa: E501
        :type severety: str
        """
        self.swagger_types = {
            'timestamp': int,
            'message': str,
            'count': int,
            'severety': str
        }

        self.attribute_map = {
            'timestamp': 'timestamp',
            'message': 'message',
            'count': 'count',
            'severety': 'severety'
        }
        self._timestamp = timestamp
        self._message = message
        self._count = count
        self._severety = severety

    @classmethod
    def from_dict(cls, dikt) -> 'DeviceHealthIssues':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The deviceHealth_issues of this DeviceHealthIssues.  # noqa: E501
        :rtype: DeviceHealthIssues
        """
        return util.deserialize_model(dikt, cls)

    @property
    def timestamp(self) -> int:
        """Gets the timestamp of this DeviceHealthIssues.


        :return: The timestamp of this DeviceHealthIssues.
        :rtype: int
        """
        return self._timestamp

    @timestamp.setter
    def timestamp(self, timestamp: int):
        """Sets the timestamp of this DeviceHealthIssues.


        :param timestamp: The timestamp of this DeviceHealthIssues.
        :type timestamp: int
        """

        self._timestamp = timestamp

    @property
    def message(self) -> str:
        """Gets the message of this DeviceHealthIssues.


        :return: The message of this DeviceHealthIssues.
        :rtype: str
        """
        return self._message

    @message.setter
    def message(self, message: str):
        """Sets the message of this DeviceHealthIssues.


        :param message: The message of this DeviceHealthIssues.
        :type message: str
        """

        self._message = message

    @property
    def count(self) -> int:
        """Gets the count of this DeviceHealthIssues.


        :return: The count of this DeviceHealthIssues.
        :rtype: int
        """
        return self._count

    @count.setter
    def count(self, count: int):
        """Sets the count of this DeviceHealthIssues.


        :param count: The count of this DeviceHealthIssues.
        :type count: int
        """

        self._count = count

    @property
    def severety(self) -> str:
        """Gets the severety of this DeviceHealthIssues.


        :return: The severety of this DeviceHealthIssues.
        :rtype: str
        """
        return self._severety

    @severety.setter
    def severety(self, severety: str):
        """Sets the severety of this DeviceHealthIssues.


        :param severety: The severety of this DeviceHealthIssues.
        :type severety: str
        """

        self._severety = severety
